/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb;


/**
 * // *
 *
 * @author <a href="mailto:bill@jboss.org">William DeCoste</a>
 * @version $Revision: 1.1.2.3 $
 */
public class ActivationConfigPropertyImpl implements javax.ejb.ActivationConfigProperty
{
   private String name;
   private String value;

   public ActivationConfigPropertyImpl(String name, String value)
   {
      this.name = name;
      this.value = value;
   }

   public String propertyName()
   {
      return name;
   }

   public String propertyValue()
   {
      return value;
   }

   public String name()
   {
      return javax.ejb.ActivationConfigProperty.class.getName();
   }

   public Class annotationType()
   {
      return javax.ejb.ActivationConfigProperty.class;
   }
}
